package com.dcit.danger.dao;

import com.dcit.danger.model.EnterpriseGoodsInfo;
import com.dcit.danger.model.EnterpriseGoodsInfoExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface EnterpriseGoodsInfoMapper {
    long countByExample(EnterpriseGoodsInfoExample example);

    List<Map<Object, Object>> countByEnterprise();

    int deleteByExample(EnterpriseGoodsInfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(EnterpriseGoodsInfo record);

    int insertSelective(EnterpriseGoodsInfo record);

    List<EnterpriseGoodsInfo> selectByExample(EnterpriseGoodsInfoExample example);

    EnterpriseGoodsInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") EnterpriseGoodsInfo record, @Param("example") EnterpriseGoodsInfoExample example);

    int updateByExample(@Param("record") EnterpriseGoodsInfo record, @Param("example") EnterpriseGoodsInfoExample example);

    int updateByPrimaryKeySelective(EnterpriseGoodsInfo record);

    int updateByPrimaryKey(EnterpriseGoodsInfo record);
}